================================================================================
TaskLayout Change Log

Please report any bugs here: https://github.com/cshnik/TaskLayout/issues
================================================================================


================================================================================
Version:      0.7.3.1
Build Date:   05-29-2021
================================================================================

 - added filter edit to the Layout editor to let user find specific commands
 - added "Use colors: Yes, No" option to let user switch off using of
     red/green/blue colors in the UI
 - improved Finder tool coloring while testing values captured from windows:
     red (false) and green (true) colors only are used for better visual perception
 - improved UI for high-DPI configurations
 - fixed crash on application quit


================================================================================
Version:      0.7.3.0
Build Date:   11-08-2020
================================================================================

 - improved command line functionality:
	/datapath C:\tmp	- set path for license, settings, layouts

 - improved performance via command line
 - improved UI for high-DPI/multi-monitor configurations


================================================================================
Version:      0.7.2.0
Build Date:   01-04-2020
================================================================================

 - added Finder tool to Layout editor: pickup commands without Command editor
 - added Command Line Pattern option to Command editor
 - added Command Line Pattern editor:
     1. Use WMI Query to filter applications by command line
     2. Use finder tool to test current value matches specific window (Sample tab)
     3. Retrieve all matching processes (Process tab)
 - improved EULA:
     1. Removed excess limitations for Software usage
     2. Collectable data (related to Software usage) are explicitly stated
 - improved performance in awaiting state (CPU consumption is now 0%)
 - improved performance when opening layout
 - changed hotkey for "Break"-feature: Ctrl+Shift+`
 - fixed bug for "Display" option: incorrect id was saved
 - fixed UI bugs with "What's New" settings tab
 - fixed bugs when working with "known" Windows folders (aka Desktop, Library, Music)


================================================================================
Version:      0.7.1.1
Build Date:   11-30-2019
================================================================================

 - improved "Display"/"Virtual desktop" features
 - improved percents option in window position
 - fixed crash when opening Layout editor in Windows 10


================================================================================
Version:      0.7.1.0
Build Date:   11-29-2019
================================================================================

 - added "Display" option for window position
 - added "Virtual desktop" option for window position (Windows 10)
 - added "Desktop" option in Layout editor (pickup windows from specific desktop)
 - added pixels/percents option for X+Y/Width+Height values for window position
 - added "Run" button to window position editor
 - added hotkey for "Break"-feature (Ctrl+Shift+B):
     user can break long operations, e.g when loading data from desktop or applying layout
 - fixed bug: sticky windows works incorrectly in Windows 10
 - fixed bug: retrieving of command line may cause file dialogs remained opened
     on desktop in Windows 10


================================================================================
Version:      0.7.0.7
Build Date:   08-28-2019
================================================================================

 - added "Break"-feature for "Save layout"-command:
     user can break loading of data from desktop via single/double click on the tray icon.
 - added "Add> From Desktop" command (Settings> Layouts)
 - improved window finder tool: cache data for inspected windows
 - fixed bug: missing import commands added to layout editor
 - fixed bug: command execution is skipped when windows list is empty
 - fixed bug: unable to disable hotkey assigned for layout
 - fixed UI bug: layout file path is not updated on rename in Settings dialog


================================================================================
Version:      0.7.0.6
Build Date:   08-25-2019
================================================================================
 
 - added support for Excel/Word 2016
 - improved command line functionality:
	TaskLayout.exe [filename.TLF]		- open layout file
	TaskLayout.exe [command] [filename.TLF]
			/o, /open		- open layout
			/c, /close		- close layout
			/s, /save		- save layout to file
 - fixed crash on application quit
 - fixed UI bug: tray tip status is incorrect after switching back from Paused mode


================================================================================
Version:      0.7.0.5
Build Date:   12-01-2018
================================================================================

 - added "What's New" tab on Settings dialog:
     small tips and hints about recently added improvements and features are
     demonstrated with animated GIFs to help user to study new functionality
 - added "Clone" feature: use to copy existing layouts/commands/window settings/window positions
 - added feature: unpause and show tray icon when starting new application instance
 - added feature: use F2 hotkey to rename layout file (Settings> Layouts)
 - added feature: ability to reset previously assigned commands when trying to assign hotkey for layout
 - changed behavior: use F4 hotkey (instead of F2) to edit layout/command/window/poition
 - improved behavior: missing windows are no longer treated as error when closing layout
 - improved UI: show current action in the tray tip ("opening/closing layout...")
 - improved error handling when applying layout
 - fixed bug: Ignore/Close window action treated and reported as error
 - fixed bug: "access denied" error popup when repositioning Spotify app
 - fixed crash in the WMI requests subsystem
 - fixed crash when applying layout
 - fixed bug: default max command startup delay instead of specified one for layout 
     is used when doing test "Run" for command/window
 - fixed UI bug: unable to save "Window settings" with empty positions list for close/ignore action


================================================================================
Version:      0.7.0.4
Build Date:   10-17-2018
================================================================================

 - added "Break"-feature:
     1. User can break applying of layout via single/double click on the tray icon.
     2. User can break applying of layout by pressing button on the popup window when using
        "Run" button to test current layout in the layout editor.
 - added filter edit on the "Layouts" tab in Settings dialog to allow user to find layouts by filepath/description
 - improved error handling when applying layout
 - fixed crash in the WMI requests subsystem
 - fixed bug: newly created layout is missing on application restart
 - fixed bug: description in the layout editor remains the same as for previously opened layout
 - fixed bug: "tray menu> Open Layout...> From file..." item is disabled in trial mode
 - fixed bug: wrong assigned hotkey does not allow to make test Run in the layout editor
 - fixed UI bug: sometimes dialogs may popup on wrong display
 - fixed UI bug: hint tray tip (left click on tray icon) not displayed when 
  "Show system tray messages" option set to "On failure"


================================================================================
Version:      0.7.0.3
Build Date:   09-18-2018
================================================================================

 - added tray menu option to restart application with elevated privileges: "Run as administrator"
 - added new setting:
     Settings> Configuration> Miscellaneous: "Autorun with elevated privileges: Yes, No"
     This option allow to set "Run as administrator" flag for startup shortcut.
 - added new mode for command: Command editor> "Adjust currently active window"
     Use this mode to move any active window to predefined position(s).
 - added "New Layout..." command (Ctrl+Shift+L) to run empty layout editor (no pickup from desktop)
 - added shell window panes state support for Windows 10 (see window position editor)
     "Details pane"-switch: Hide/Show/Ignore
     "Preview pane"-switch: Hide/Show/Ignore
     "Navigation pane"-switch: Hide/Show/Ignore
 - improved classname/windowname value editor
 - improved error/warning prompts: popup on the active screen
 - improved behavior: move focus to files when changing shell window position/state
 - fixed bug: command extraction fail when non-US keyboard layout is active
 - added multiple UI and functional improvements


================================================================================
Version:      0.7.0.2
Build Date:   06-15-2018
================================================================================

 - added ability to open Layout editor by clicking on tray tip message
 - added animation in the taskbar and finder tool when loading data from desktop or
   applying layout, corresponding option added to settings: "Use animation: Yes, No"
 - improved UI: assigned hotkeys displayed next to the tray menu items
 - improved window finder tool
 - improved checkboxes over applications: showed in any visible corner of the target window
 - improved restoring of minimized/maximized window position
 - fixed bug with expired trial mode
 - fixed UI bugs related to refresh functionality in the Layout editor
 - fixed bug: layout not restored after failed command
 - fixed bug: opening of nonexistent folder causes system error popup
 - fixed bug: extracting command from notepad may accidently modify currently opened file
 - fixed bug: extracting command failed for minimized notepad


================================================================================
Version:      0.7.0.1
Build Date:   05-26-2018
================================================================================

 - fixed bug for legacy registration keys


================================================================================
Version:      0.7.0.0
Build Date:   05-26-2018
================================================================================

 - added ability to extract commands from notepad, wordpad, paint, etc
 - added multiple UI and functional improvements
 - improved refresh logic in the Layout editor
 - EULA changed


================================================================================
Version:      0.6.1.1
Build Date:   01-15-2018
================================================================================

 - added ability to assign the same hotkey to open and close the same layout
 - added "Pause application"-feature:
     Allow user to quickly enable/disable all currently used hotkeys except the one
     assigned for this command (default hotkey: Left Windows + Alt + P).
     System tray icon/tip is updated to reflect the actual state of the application.
 - added new option "Show tray icon when paused" (Settings> Miscellaneous): set to 'No'
   to hide icon from system tray (stealth mode) when application is paused. Use assigned
   hotkey to unpause application and restore tray icon.
 - added new option "Autorun parameters" (Settings> Miscellaneous): select TLF file 
   to launch it immideatly on system startup
 - fixed bug: tray menu not reloaded (layout list not applied) on apply in Settings dialog
 - fixed bug: broken layout loading when using portable mode
 - fixed bug: broken max command startup option (Settings> Layout> Advanced)


================================================================================
Version:      0.6.1.0
Build Date:   10-10-2017
================================================================================

 - "Move Up"/"Move Down" buttons added to Command editor, Window editor
 - added multiple improvements to Layout editor
 - added "Save recent changes"-prompt to Settings editor
 - added view mode switch (List/Details) to Layouts settings tab
 - added layout preview to Settings> Layout> Details view mode, tab Preview 
 - added new option "Activate windows" (Settings> Layout restoring; Layout editor> Advanced):
   set to off to prevent window flashing when restoring layout
 - fixed bug: warning prompts may popup on wrong display devices
 - fixed bug: unchecked items get removed from the original layout
     From now every layout item can be temporarly disabled/unchecked without its 
     content loss, e.g. for testing purposes     


================================================================================
Version:      0.6.0.2
Build Date:   09-12-2017
================================================================================

 - added scrollbar to classname/windowname value editor
 - added command recognition for webbrowsers (IE, Chrome, Firefox, Opera):
     current url extracted only for *normal state* windows to reduce flickering 
     when reloading windows in the layout editor
 - added "Run" button to layout editor
 - added new setting:
     Settings> Configuration> Miscellaneous: "Play sound for system tray messages: Yes, No"
     This option allow to setup showing tray tip messages in silent mode.
 - added "Max command startup delay, sec"-option to layout editor:
     This option allow to customize delay for specific layouts.
 - enabled editing for automatically created commands when creating layout
 - fixed bug: broken inheritance for "Run command line"-option (layout level)
 - improved error descriptions when applying layout


================================================================================
Version:      0.6.0.1
Build Date:   08-29-2017
================================================================================

 - added EULA dialog for the very first launch:
    1. Accept EULA to continue using of the application
    2. Use /accepteula command line switch to automatically accept EULA
 - improved main icon (image cleanup)
 - fixed bug: failed to launch TLF by double click/from command line when TaskLayout is already running
 - fixed bug: tray tip balloons are not discarded when animation started


================================================================================
Version:      0.6.0.0
Build Date:   06-12-2017
================================================================================

 - EULA changed:
    1. TaskLayout is provided as freeware, but only for private, non-commercial use
       (that means at home).
    2. TaskLayout is free for educational use (schools, universities, museums and libraries) 
       and for use in charity or humanitarian organisations. 
    3. If you intend to use TaskLayout at your place of business or for commercial purposes, 
       please register and purchase it.


================================================================================
Version:      0.5.3.2
Build Date:   04-07-2017
================================================================================

 - added "Run command line"-option to enhance TaskLayout usage as a window manager:
    The option has 3 available modes:
     1. "Yes" - run command line if required windows not found (default)
     2. "No" - adjust existing windows only (no command line run)
     3. "Shell commands" - run only shell commands (e.g. open folder)
    The option is presented on the next levels and inherited from up to down:
     1. Global setting: Settings> Configuration> Layout Opening
     2. Layout setting: Layout editor
     3. Command setting: Command editor
    This option is a replacement for previously implemented Normal/Window-mode switch.
 - added "Close active layout: Yes, No"-option to allow user to automatically close active
    layout when opening another one
 - added "Close active layout"-hotkey (Ctrl+Shift+Alt+X): single hotkey to close any active layout
 - added "Shell View"-settings to Position editor for shell windows:
     1. "View Mode"-switch: Auto/Icon/Small Icon/List/Details/Thumbnail/Tile/Thumbstrip/Content
     2. "Folder flags"
     3. "Icon size"-option
     4. "Sort columns"-option
     5. "Group by"-option
   For Windows7 added panes state support:
     6. "Details pane"-switch: Hide/Show/Ignore
     7. "Preview pane"-switch: Hide/Show/Ignore
     8. "Navigation pane"-switch: Hide/Show/Ignore
 - added right-click handler for checkboxes over applications (duplicate to left-click)
 - added a delay when processing the same hotkey for few times in a row to improve
   stability when switching window positions/states
 - added multiple UI improvements/fixed typos
 - improved layout/settings editors: popup on the active screen
 - fixed bug: tray icon not restored after explorer restart
 - fixed bug: problems with opening of the shell folder with #-character in it's parent name 
 - fixed UI bug: Layout editor contains wrong extra columns (duplicates to existing)


================================================================================
Version:      0.5.3.1
Build Date:   02-21-2017
================================================================================

 - added "Show checkboxes over applications"-option (Settings> Configuration> Miscellaneous):
    This option allow to display checkboxes over applications to select corresponding
    windows when saving layout.
 - improved layout closing for shell windows (removed unnecessary navigation to path)
 - improved peformance for layout restoring
 - fixed crash occured under heavy TL usage
 - fixed bug: currently selected windows are discarded when refreshing the layout editor
 - fixed UI bug: removed white pixel from the top left corner of the main screen
 - fixed several bugs related to "select/deselect all" checkbox in the layout editor
 - fixed bug: "Close shell windows"-command closed IE windows
 - fixed bug: restoring of multiple shell folders navigated to the same location
   is not available (e.g. few shell windows navigated to C:\)


================================================================================
Version:      0.5.3.0
Build Date:   01-13-2017
================================================================================

 - added mode switch to Command editor:
   - Normal mode: launch command line if specified windows not found
   - Windows mode: adjust existing windows only (no command line launch)
   "Window mode" allows using of TaskLayout as a window layout manager.
 - added improvements for Windows 10:
   - added support for Metro apps
   - suspended/hanged applications were hidden in the Layout editor
 - improved naming for commands
 - fixed bug when adjusting window with multiple allowed predefined positions:
   window will not be moved to the next position if it was not actually visible.
   E.g. restoring of the layout for overlapped window will show the window on its current position.
   Second restore will move window to the next predefined position on the screen.


================================================================================
Version:      0.5.2.2
Build Date:   10-14-2016
================================================================================

 - added "select/deselect all"-checkbox in the layout editor
 - added license type switch in the registration form (business/home)
 - fixed UI bug: ampersand is not showing in the "registered to"-field in the About dialog
 - fixed UI bug: long names are truncated in the "registered to"-field in the About dialog
 - fixed crash: using of system tray menu in unregistered mode
 - fixed bug: operation setting not saved in TLF file


================================================================================
Version:      0.5.2.1
Build Date:   05-24-2016
================================================================================

 - fixed bug with custom assigned hotkeys


================================================================================
Version:      0.5.2.0
Build Date:   04-05-2016
================================================================================

 - re-designed command/window editor
 - added optional positions for window: these positions will be used by rotation
   when applying layout (e.g. the user can setup the most handy positions for
   specific application and relocate its window over these places using a single
   assigned hotkey)


================================================================================
Version:      0.5.1.7
Build Date:   02-12-2016
================================================================================

 - added "Move Up"/"Move Down" in the layout list editor (Settings>Layouts)
 - added grid lines in the layout list editor
 - added option to Settings dialog:
   - "Animate tray icon: Yes, No"
 - fixed bug: switching maximized window between monitors may fail
 - fixed bug: recently added manual commands may be accidently removed from the
   layout editor list with automatical refresh


================================================================================
Version:      0.5.1.6
Build Date:   02-03-2016
================================================================================

 - added automatical refresh functionality in the layout editor
 - fixed bug: adjusted label's height in the layout editor
 - fixed bug: layout editor closing may fail and corresponding button remains in the taskbar


================================================================================
Version:      0.5.1.5
Build Date:   12-10-2015
================================================================================

 - added trial mode: try application for 14 days for free
 - added new commands to Library:
   - TaskLayout section
     - "Save layout" - run TaskLayout with /s key to save complete layout to TLF file
     - "Load layout" - run TaskLayout to apply layout from specified TLF file
 - fixed bug: %TL_FOLDER% is improperly calculated when full path contains a space character


================================================================================
Version:      0.5.1.4
Build Date:   11-21-2015
================================================================================

 - added "Portable mode" (Settings>Configuration>Miscellaneous>Portable mode):
   enable this mode to use application from removeable storage to force automatic
   loading of layout files from the same disk drive (%TL_DRIVE%)
 - improved layout of "Check for updates"-wizard


================================================================================
Version:      0.5.1.3
Build Date:   11-17-2015
================================================================================

 - added retrieving of tool windows when populating Paint.NET-, GIMP-commands
 - fixed bug: command execution without actual application launch takes too much 
   time in case of "window not found"-problem
 - fixed bug: TaskLayout may fail to find and restore GIMP's main window position
 - fixed bug: maximized state not properly applied when restoring window position 
   on additional monitor


================================================================================
Version:      0.5.1.2
Build Date:   11-10-2015
================================================================================

 - added %TL_DRIVE%, %TL_FOLDER% macros to improve protable mode of TaskLayout
 - fixed bug: TaskLayout uses wrong path for settings file when there is a space
   character in it's home folder path name, e.g. C:\Program File\TaskLayout
 - fixed few UI bugs in the command editor dialog
 - fixed bug: minimized state was not properly applied when restoring window state
 - fixed bug: window position restoration was not properly applied when window state
   was different from normal


================================================================================
Version:      0.5.1.1
Build Date:   11-08-2015
================================================================================

 - added ability to launch system applications by module name (e.g. explorer.exe, calc.exe)
 - added automatical escaping/unescaping when switching name value type (plain text/regular expression)
 - improved global "Show system tray messages"-option:  possible values are "Always, On Success, On failure, Never"
 - removed ShellExecute/CreateProcess-switch in the command editor
 - fixed bug in ShellExecute command: %CLIPBOARD_TEXT% parameter is truncated on space character
 - fixed bug: "Run"-command in the command editor does not respect global settings
   (explorer navigation mode, visible shell window adjustment, tooltip display mode)
 - fixed bug: layout closing operation causes improper closing of explorer windows 
   even if user has switched to another location in this window
 - fixed bug in updgrade wizard (timeout issue)
 - fixed bug in settings dialog: autorun option is not properly saved


================================================================================
Version:      0.5.1.0
Build Date:   11-04-2015
================================================================================

 - x64 version released
 - upgrade for Settings dialog
 - added options to Settings dialog:
   - "Show result after opening: Always, On success, On failure, Never"
   - "Show result after closing: Always, On success, On failure, Never"
   - "Check for updates: Yes, No"
 - fixed bug: hotkey for layout with no assigned hotkey may be displayed improperly
 - fixed bug: default tray icon occasionally may not be restored after animation
 - fixed bug: "max command delay, sec"-option was applied to each window of a single command separately
 - fixed bug: restoring a layout with multi-window command causes additional 
   windows (tools, panels) be restored behind the main window (e.g. Paint.NET)
 - fixed bug: closing a layout for multi-window command causes additional 
   windows (tools, panels) be hidden on the next startup (e.g. Paint.NET)
 - improved layout editor resizing
 - fixed bug: sometimes wrong process module name is displayed in the layout editor


================================================================================
Version:      0.5.0.4
Build Date:   10-29-2015
================================================================================

 - added support of macro values for command line (clipboard text, username, computer name, date/time)
 - fixed bug: sometimes command does not executed if window action set to "Ignore"


================================================================================
Version:      0.5.0.3
Build Date:   10-23-2015
================================================================================

 - added "Total windows: %d" label in the command editor
 - fixed bug: command line length limit removed in the command editor
 - fixed bug: rollback for removed feature "Check for Updates" on application startup


================================================================================
Version:      0.5.0.2
Build Date:   10-16-2015
================================================================================

 - added "timeout" error handling (show proper message in tray)
 - fixed bug: icons are broken in layout editor list when there is a window with empty icon
 - fixed bug: shell folders navigated to X:\ does not appear in the layout editor list
 - fixed bug: hotkeys in layout editor are not discarded on editor start up
 - fixed broken logic of shell folders choice (open new folders/pickup current folders)
 - fixed bug in Windows XP: sometimes shell folders can't be found


================================================================================
Version:      0.5.0.1
Build Date:   10-16-2015
================================================================================

 - added "Edit Layout" tray menu item
 - added support of standard operations for items in the layout/command editors (F2 - edit, F5 - refresh)
 - fixed bug: application crashed after multiple frequent clicks on tray icon
 - fixed bug: animated tray icon sometimes failed to stop
 - fixed bug: layout names in the recent layouts menu (character '&' was not properly displayed)
 - fixed bug: "Refresh"-command works too slow in the layout editor


================================================================================
Version:      0.5.0.0
Build Date:   10-13-2015
================================================================================

 - added animated tray icon for long operations
 - added regex support for classname/windowname value
 - added ignore case flag for classname/windowname value
 - added testing tool for classname/windowname value, including capturing of sample
   values from any visible window on screen
 - added optional adjustment for multiple windows per single command
 - fixed multiple bugs


================================================================================
Version:      0.4.1.2
Build Date:   09-25-2015
================================================================================

 - added Windows XP support
 - added Operation parameter for ShellExecute command
 - fixed bug: "From file..."-menu item starts from improper character \n 
   which was visible in Windows XP
 - fixed bug: "Close shell folders" hotkey not working in Windows XP


================================================================================
Version:      0.4.1.1
Build Date:   08-15-2015
================================================================================

 - added support for "Ctrl + A" hotkey in command line editor
 - added system registration for TLF-extension (icon display, launching of layouts)
 - fixed bug: tray icon not restored after explorer crash if application was 
   running with administrative privelegies
 - fixed typo


================================================================================
Version:      0.4.1.0
Build Date:   07-20-2015
================================================================================

 - added "Check updates"-wizard: download latest product version in a few clicks


================================================================================
Version:      0.4.0.2
Build Date:   05-21-2015
================================================================================

 - added browse button for command line in command editor
 - added browse button for current directory in command editor


================================================================================
Version:      0.4.0.1
Build Date:   04-10-2015
================================================================================

 - added support of windows from .NET applications
 - improved shell windows startup
 - improved layout execution
 - changed default settings for Firefox windows
 - fixed bug: improper hotkey validation logic
 - fixed crash when showing error in system tray area


================================================================================
Version:      0.4.0.0
Build Date:   04-07-2015
================================================================================

 IMPORTANT NOTE: Windows XP is no longer supported :(

 - added command execution type: ShellExecute/CreateProcess
 - added window action type: Adjust/Close/Ignore
 - added import operation from Windows shortcuts
 - added import operation from Windows batch files (*.BAT)
 - added command library (contains a set of predefined commands)
 - added layout autorun feature (specify time interval in hours/minutes/seconds)
 - added environment variables support for command line/current folder (e.g. %WINDIR%)
 - multiple UI improvements
 - fixed bug: recent history not properly updated after layout changed/removed
 - fixed bug: hotkey validation problem


================================================================================
Version:      0.3.1.0
Build Date:   02-26-2015
================================================================================

 - added window settings editor with runtime adjustment support
 - added window finder tool to allow user to pick up window settings on-fly
 - improved layout editor(add, remove, edit, move up, move down, show)
 - fixed bug: PDF files were not properly restored
 - fixed bug: VirtualBox running machines were not properly restored
 - fixed multiple UI bugs


================================================================================
Version:      0.3.0.2
Build Date:   01-18-2015
================================================================================

 - fixed bug: max search time option was not properly used
 - fixed bug: initial language changed to comply current shell UI language
 - fixed buf: files were not properly loaded/saved when Unicode path is used


================================================================================
Version:      0.3.0.1
Build Date:   12-27-2014
================================================================================

 - added Win key support, tooltips for shortcut editor
 - added feature "Current shell folders should be ignored/minimized/closed" which
   is executed just before layout restoring


================================================================================
Version:      0.3.0.0
Build Date:   12-16-2014
================================================================================

 - added hotkey for close operation(closes layout's windows)
 - added checkbox "restore windows position and state"
   (unchecked option is very useful to run fullscreen apps)
 - added checkbox "show operation result in system tray"
 - fixed bugs in layout editor:
   a. changes in the hotkey validation logic
   b. changes were not properly saved when editing existing layout
   c. dialog's translation fixed


================================================================================
Version:      0.2.0.1
Build Date:   12-07-2014
================================================================================

 - added hotkey for Settings dialog
 - added some UI fixes to Settings dialog
 - added working folder in autorun shortcut
 - fixed application startup(current directory parameter)
 - fixed proper restoration of actual window's state(normal/minimized/maximized)


================================================================================
Version:      0.2.0.0
Build Date:   12-04-2014
================================================================================

 - added Settings dialog with a set of general options
 - added "open/pickup shell folders"-option
 - added "Run apps after each other"-option
 - added "Close shell folders"-option
 - added "Run layout editor"-option
 - added "autorun on startup"-option
 - added hotkey assignment for layouts
 - added Layouts list for fast and easy management
 - fixed bug when layout is not properly applied if it was created after 
   Windows Explorer has crashed and later restarted
 - added multiple improvements/bugfixes


================================================================================
Version:      0.1.0.2
Build Date:   11-22-2014
================================================================================

 - added navigation to special folders(My Computer, Network, Control Panel, etc)
 - added support of MMC applications(e.g. services.mmc)
 - added some error details when layout was not properly applied
 - fixed memory leaks
 - fixed bug when sometimes TaskLayout failed to find already executed applications
 - fixed bug when saving of recent layout which was loaded at TaskLayout startup 
   does not affect currently loaded layout


================================================================================
Version:      0.1.0.1
Build Date:   11-09-2014
================================================================================

 - added hotkeys for recent items (Alt+Ctrl+0..Alt+Ctrl+9)
 - added saving/loading of recent items on application exit/start
 - added saving of maximized state for windows
 - fixed crash when user clicks on empty place in the windows list(layout editor)
 - fixed bug when sometimes windows are not properly activated
 - fixed Z-order restoring
 - fixed memory leak


================================================================================
Version:      0.1.0.0
Build Date:   11-05-2014
================================================================================

 - first public release
